com.mapinfo.midev.style

## Class IFont.FontWeight

- java.lang.Object
- - java.lang.Enum
  - - com.mapinfo.midev.style.IFont.FontWeight

All Implemented Interfaces:
  Serializable, Comparable

Enclosing interface:
  IFont

    public static final class IFont.FontWeight
    extends Enum

Controls the weight or boldness of the font. The values '100' to '900' form an ordered sequence, where each number indicates a weight that is at least as dark as its predecessor.

See Also:
  Serialized Form

### Field Summary

Fields
`static IFont.FontWeight` `BOLD` The `BOLD` font weight is synonymous with font weight value `WEIGHT_700`.
`static IFont.FontWeight` `NORMAL` The `NORMAL` font weight is synonymous with font weight value `WEIGHT_400`.
`static IFont.FontWeight` `WEIGHT_100` The font weight value: '100'.
`static IFont.FontWeight` `WEIGHT_200` The font weight value: '200'.
`static IFont.FontWeight` `WEIGHT_300` The font weight value: '300'.
`static IFont.FontWeight` `WEIGHT_400` The font weight value: '400'.
`static IFont.FontWeight` `WEIGHT_500` The font weight value: '500'.
`static IFont.FontWeight` `WEIGHT_600` The font weight value: '600'.
`static IFont.FontWeight` `WEIGHT_700` The font weight value: '700'.
`static IFont.FontWeight` `WEIGHT_800` The font weight value: '800'.
`static IFont.FontWeight` `WEIGHT_900` The font weight value: '900'.

### Method Summary

All Methods Static Methods Concrete Methods
`static IFont.FontWeight` `valueOf(String name)`
`static IFont.FontWeight[]` `values()`

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NORMAL

    public static final IFont.FontWeight NORMAL

The `NORMAL` font weight is synonymous with font weight value `WEIGHT_400`.

#### BOLD

    public static final IFont.FontWeight BOLD

The `BOLD` font weight is synonymous with font weight value `WEIGHT_700`.

#### WEIGHT_100

    public static final IFont.FontWeight WEIGHT_100

The font weight value: '100'.

#### WEIGHT_200

    public static final IFont.FontWeight WEIGHT_200

The font weight value: '200'.

#### WEIGHT_300

    public static final IFont.FontWeight WEIGHT_300

The font weight value: '300'.

#### WEIGHT_400

    public static final IFont.FontWeight WEIGHT_400

The font weight value: '400'.

#### WEIGHT_500

    public static final IFont.FontWeight WEIGHT_500

The font weight value: '500'.

#### WEIGHT_600

    public static final IFont.FontWeight WEIGHT_600

The font weight value: '600'.

#### WEIGHT_700

    public static final IFont.FontWeight WEIGHT_700

The font weight value: '700'.

#### WEIGHT_800

    public static final IFont.FontWeight WEIGHT_800

The font weight value: '800'.

#### WEIGHT_900

    public static final IFont.FontWeight WEIGHT_900

The font weight value: '900'.

### Method Detail

#### values

    public static IFont.FontWeight[] values()

#### valueOf

    public static IFont.FontWeight valueOf(String name)